# Uses of Enum Class
java.lang.classfile.ClassFile.StackMapsOption

Packages that use ClassFile.StackMapsOption
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of ClassFile.StackMapsOption in java.lang.classfile

Subclasses with type arguments of type ClassFile.StackMapsOption in java.lang.classfile
Modifier and Type
Class
Description
`static enum`
`ClassFile.StackMapsOption`
The option describing whether to generate stack maps.
Methods in java.lang.classfile that return ClassFile.StackMapsOption
Modifier and Type
Method
Description
`static ClassFile.StackMapsOption`
ClassFile.StackMapsOption.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClassFile.StackMapsOption[]`
ClassFile.StackMapsOption.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.